Skip to main content
GET
/
v1
/
transfers
/
{id}
Retrieve a transfer
curl --request GET \
  --url https://api.yorlet.com/v1/transfers/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "transfer",
  "amount": 123,
  "building": "<string>",
  "currency": "gbp",
  "description": "<string>",
  "destination": "<string>",
  "destination_owner_payment": "<string>",
  "reporting_type": "<string>",
  "source_invoice_item": "<string>",
  "source_transaction": "<string>",
  "transfer_group": "<string>",
  "unit": "<string>",
  "account": "<string>",
  "deleted": false,
  "amount_reversed": 0,
  "metadata": {},
  "reversed": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the transfer.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
transfer
amount
integer
required

The amount transferred, in the smallest currency unit.

building
string | null
required

The ID of the building the transfer is associated with.

currency
enum<string>
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

destination
required

The owner the funds are transferred to.

destination_owner_payment
required

The owner payment created as a result of this transfer.

reporting_type
string | null
required

The reporting type used to categorize the transfer.

source_invoice_item
required

The source invoice item the transfer is associated with.

source_transaction
string | null
required

The ID of the source transaction the transfer is associated with.

transfer_group
string | null
required

A string that identifies this transfer as part of a group.

unit
string | null
required

The ID of the unit the transfer is associated with.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

amount_reversed
integer
default:0

The amount that has been reversed, in the smallest currency unit.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

reversed
boolean
default:false

Whether the transfer has been fully reversed.